#ifndef INCLUDED_TYPESELECTOR_
#define INCLUDED_TYPESELECTOR_

#include "../types/types.h"

    // protected so classes inheriting from TypeSelector can use the Types
struct TypeSelector: protected Types
{
    static bool programSrc(Element const &element);
    static bool hdr(Element const &element);
    static bool ih(Element const &element);
    static bool mainSrc(Element const &element);
    static bool src(Element const &element);
};
        
#endif
